Instalando Mozilla 1.6 e plugins

agk

Esse artigo nos mostra como instalar o Mozilla 1.6, plugins para sites em Java, Flash7 e de quebra o mozplugger, programa responsável por associar aplicativos à extensões de arquivos abertas pelo browser.

[ Hits: 50.064 ]

Por: Aldefax G. Kuhn em 14/06/2004


Introdução



Este artigo tem como objetivo tornar a navegação dos usuários de desktop Linux mais amigável, facilitando aos mesmos abrirem suas páginas favoritas, seus documentos que vem por e-mail, quebrando também outras barreiras bastante comuns encontradas pelos usuários, tais como:
  • abrir arquivos PDF no navegador;
  • páginas com Java;
  • flash7;
  • arquivos multimídia em geral (som e vídeo).

Demonstrarei neste tutorial como instalar o Mozilla 1.6 no Debian Woody 3.0 R1 (kernel 2.4.18-bf2.4, libc6 2.25) com suporte a Java, flash7 e também como instalar o mozplugger. A instalação também pode ser feita em outras distribuições, pois os pacotes são padrão para todas as distribuições ou vem em código fonte, sem arquivos específicos (.deb, .rpm, .tgz).

    Próxima página

Páginas do artigo
   1. Introdução
   2. Baixando os arquivos necessários
   3. Instalando o navegador e os plugins
   4. Verificando se tudo está funcionando
   5. Considerações finais
Outros artigos deste autor

Configurando Wireless LG LW2110P com chipset rtl8180 (Realtek)

Instalando Bind9 + chroot no Debian

Leitura recomendada

Instalando o X-Money no Linux

AMSN, uma opção Open Source para o Messenger da Microsoft

Conheça o LiveCD FeniX

Quebrando os mitos do software de código aberto

Testes de stress no Apache com o comando ab

  
Comentários
[1] Comentário enviado por removido em 15/06/2004 - 01:22h

Velhao é uma pena!!!, o artigo esta pobre de conteudo.. tem muitos erros como por exemplo o lib do Java nao esta naquela arvore que vc passou, e nao consegui fazer funcionar o esquema de PDF . é uma pena mais me ajudou ater outros olhos sobre o mozilla =)

[2] Comentário enviado por agk em 15/06/2004 - 14:08h

Realmente o caminho do link para o plugin do java está errado. O correto é:
#ln -s /opt/j2re1.4.2_04/plugin/i386/ns610-gcc32/libjavaplugin_oji.so libjavaplugin.so.
Aqui eu abro pdf, arquivos do openoffice, e muitas outras extensões, é só olhar a lista que o mozplugger tem.
Para poder abrir os arquivos pdf você precisa ter um programa que abra arquivo pdf instalado.
Experimente instalar o xpdf que o resto o mozplugger faz pra você. Espero ter ajudado, se tiver mais alguma dúvida, sugestão ou crítica estou disposto a ajudá-lo.

Abraços.

[3] Comentário enviado por gustavonrg em 21/06/2004 - 19:13h

perfeito me ajudooooou muito

[4] Comentário enviado por guaxinim em 16/03/2006 - 12:59h

o link para o .so é PASTA/DO/JAVA/plugins/i386/ns7/libjavaplugin.so

[5] Comentário enviado por agk em 17/03/2006 - 09:56h

Correto, agora é esse o caminho, provavelmente você já está utilizando a versão 1.5.04 do java ou alguma mais recente.
Grato pela colaboração.


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts